From 7a31dff8328002acd4fdc76287bf9923c3392b02 Mon Sep 17 00:00:00 2001
From: Yangbo Lu <yangbo.lu@nxp.com>
Date: Sat, 17 Jun 2017 16:29:13 +0800
Subject: [PATCH] fmd: use ptp-timer for Fman RTC node name

Layerscape DPAA platforms have updated dts to use ptp-timer
instead of rtc for Fman RTC node name. This patch is to
update it in driver.

Signed-off-by: Yangbo Lu <yangbo.lu@nxp.com>
---
 drivers/net/ethernet/freescale/sdk_fman/src/wrapper/lnxwrp_fm.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

--- a/drivers/net/ethernet/freescale/sdk_fman/src/wrapper/lnxwrp_fm.c
+++ b/drivers/net/ethernet/freescale/sdk_fman/src/wrapper/lnxwrp_fm.c
@@ -684,9 +684,9 @@ static t_LnxWrpFmDev * ReadFmDevTreeNode
 
     /* Get the RTC base address and size */
     memset(ids, 0, sizeof(ids));
-    if (WARN_ON(strlen("rtc") >= sizeof(ids[0].name)))
+    if (WARN_ON(strlen("ptp-timer") >= sizeof(ids[0].name)))
         return NULL;
-    strcpy(ids[0].name, "rtc");
+    strcpy(ids[0].name, "ptp-timer");
     if (WARN_ON(strlen("fsl,fman-rtc") >= sizeof(ids[0].compatible)))
         return NULL;
     strcpy(ids[0].compatible, "fsl,fman-rtc");
